libconfig-model-itself-perl (1.244-1) unstable; urgency=medium

  * Imported Upstream version 1.244

 -- Dominique Dumont <dod@debian.org>  Sat, 23 May 2015 19:00:37 +0200

libconfig-model-itself-perl (1.243-1) experimental; urgency=medium

  * Imported Upstream version 1.243:
      Version 1.242 added the possibility to override the Perl class
      implementing a configuration node by adding a class parameter in a
      place that is confusing. This release fix this bug: this optional
      override class is now declared at the top of a configuration class.
  * control:
      + added build-dep on cme
      + added TestSuite parameter
      * dep on libconfig-model-perl (>= 2.064)
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Mon, 16 Mar 2015 20:21:34 +0100

libconfig-model-itself-perl (1.242-1) experimental; urgency=medium

  * Imported Upstream version 1.242:
    * Allow 'class' parameter for node, hash and list. This parameter
      can be used to override the Perl class used to implement node,
      hash or list element. Use with care.
  * control: depend on libconfig-model-perl 2.063

 -- Dominique Dumont <dod@debian.org>  Wed, 03 Dec 2014 12:24:20 +0100

libconfig-model-itself-perl (1.241-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominique Dumont ]
  * Imported Upstream version 1.241
    * config-model-edit:
      + added system option to read a model from system files
      * fix yaml and load_yaml options
      * fix dump and dumptype options
      * fixed dot diagram generator (i.e. -dot-diagram option)
    * leaf value model:
      + added file and dir and warn_if properties
  * control:
    * replace dependency libyaml-perl with libyaml-tiny-perl
    * package conforms to policy 3.9.6

 -- Dominique Dumont <dod@debian.org>  Thu, 23 Oct 2014 13:05:02 +0200

libconfig-model-itself-perl (1.240-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 1.240
    Main change is the deprecation of the experience attribute.
    config-model-edit can be used to clean up experience parameter
    from existing model.
    Other changes:
    * min and max parameters accept number.
    * preserve header comments when reading/writing model files
  * bumped compat to 9 and std-version to 3.9.5
  * control:
    * replaced dep on libpath-class-perl with libpath-tiny-perl
    - removed dep on libanyevent-perl and libnamespace-autoclean-perl
    * depends on libconfig-model-perl (>= 2.055)
  + added patch to remove #!/usr/bin/env line

 -- Dominique Dumont <dod@debian.org>  Fri, 23 May 2014 13:03:34 +0200

libconfig-model-itself-perl (1.239-1) unstable; urgency=low

  [ gregor herrmann ]
  * Bump versioned (build) dependency on libconfig-model-perl.
  * Update years of packaging copyright.

  [ Dominique Dumont ]
  * Imported Upstream version 1.239 (Closes: #720960)

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Aug 2013 15:17:11 +0200

libconfig-model-itself-perl (1.237-1) unstable; urgency=low

  * Imported Upstream version 1.237:
    * Replaced Any::Moose with Mouse (Closes: #706389)
    * backend detector: do not list twice the same backend
    * Removed augeas from model and tests. Augeas meta-model
      is now delivered with Config::Model::Backend::Augeas

 -- Dominique Dumont <dod@debian.org>  Wed, 01 May 2013 11:18:35 +0200

libconfig-model-itself-perl (1.236-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * Imported Upstream version 1.236:
    * delegate Tk init to AnyEvent to avoid blocking at program exit
  * control:
    + new dependency on libanyevent-perl
    * updated dependency on libconfig-model-perl >= 2.030
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Mar 2013 19:45:58 +0100

libconfig-model-itself-perl (1.235-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Dominique Dumont ]
  * new upstream release:
    * Fix quit bug in model test widget
  * control:
    * depends on libconfig-model-perl 2.029
    * bumped std-version to 3.9.4
    + build dep on lib-test-memory-cycle-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 02 Dec 2012 10:10:47 +0100

libconfig-model-itself-perl (1.232-1) unstable; urgency=low

  * Imported Upstream version 1.232:
    * model Itself::Class: added accept_after
    * config-model-edit: make sure that loading models are not 
     recorded as changed data
  * control: depends on libconfig-model-perl >= 2.020

 -- Dominique Dumont <dod@debian.org>  Fri, 22 Jun 2012 14:21:32 +0200

libconfig-model-itself-perl (1.231-1) unstable; urgency=low

  * new upstream version:
    + added migrate_values_from (requires Config::Model 2.015)
    * migrate_keys_from can no longer be warped (too complicated to mix
      warp and migration)
  * control: depends on libconfig-model-perl >= 2.015

 -- Dominique Dumont <dod@debian.org>  Tue, 22 May 2012 18:37:32 +0200

libconfig-model-itself-perl (1.230-1) unstable; urgency=low

  * Imported Upstream version 1.230:
    * Itself reader/writer: added force_write attribute

 -- Dominique Dumont <dod@debian.org>  Mon, 07 May 2012 17:03:35 +0200

libconfig-model-itself-perl (1.229-1) unstable; urgency=low

  * Imported Upstream version:
    * config-model-edit:
      + new option -plugin-file option. This option can be used to create model
        plugins: small modification of an existing model that can be distributed
        in a separate file or package.
    * Itself model: added use_as_upstream_default parameter
    * Itself backend: do not write empty model file
  * copyright: updated years
  * control:
    * updated Standards-Version to 3.9.3
    + new dependencies: libdata-compare-perl libfile-copy-recursive-perl
      libnamespace-autoclean-perl libpath-class-perl
      libtest-differences-perl libtest-file-contents-perl

 -- Dominique Dumont <dod@debian.org>  Tue, 17 Apr 2012 13:34:52 +0200

libconfig-model-itself-perl (1.228-1) unstable; urgency=low

  * Imported Upstream version 1.228
  * control: depends on libconfig-model-perl >= 1.263

 -- Dominique Dumont <dod@debian.org>  Fri, 16 Dec 2011 19:47:43 +0100

libconfig-model-itself-perl (1.227-1) unstable; urgency=low

  * Imported Upstream version 1.227:
    + added assert and warn_unless parameter
  * compat: bumped to 8
  * copyright: fixed general typo
  * control: [B]D on libconfig-model-perl 1.258

 -- Dominique Dumont <dod@debian.org>  Thu, 20 Oct 2011 22:21:48 +0200

libconfig-model-itself-perl (1.226-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Dominique Dumont ]
  * new upstream release (new parameter for warn or forbid
    duplicated values in hash or list)
  * control: depends on libconfig-model-perl 1.253
  * control, copyright: updated my e-mail address

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Sep 2011 21:19:27 +0200

libconfig-model-itself-perl (1.225-1) unstable; urgency=low

  * New upstream release:
    * Itself.pm:  munge pod text embedded in description
      to avoid spurious pod formatting in model files
    + WarpableElement.pl: allow default_with_init for list (like hash)
    * MigratedValue.pl: updated undef_is doc: use '' to have an empty string
    - Class.pl: name_match parameter is deprecated.

  * debian/patches: removed spelling patch (applied upstream)

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 21 Jun 2011 11:58:38 +0200

libconfig-model-itself-perl (1.224-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release:
    - fixed tests wrt new Config::Model (Closes: #616566)
    - Class.pl: added copyright, author, license elements
    - dump and load annotations in pod doc in config class file
  * control:
    - Bumped libconfig-model-perl version 1.236 in depends
    - BDI: added libtest-differences-perl

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.2 (no changes).
  * Add a patch to fix a spelling mistake.

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 07 Apr 2011 14:15:15 +0200

libconfig-model-itself-perl (1.222-1) unstable; urgency=low

  * New upstream release.
  * Bump build and runtime dependency on libconfig-model-perl to >= 1.230.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Jan 2011 14:35:35 +0100

libconfig-model-itself-perl (1.221-1) unstable; urgency=low

  * New upstream release:  config-model-edit now use same
    log4perl config files as config-edit. Can now specify fix
    instructions with Value warnings (brought by Config::Model 1.227)
  * copyright: updated to candidate DEP5. Changed copyright year
  * control: depends on libconfig-model-perl >= 1.227

 -- Dominique Dumont <dominique.dumont@hp.com>  Wed, 12 Jan 2011 20:41:45 +0100

libconfig-model-itself-perl (1.219-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release:
    - Added warn_* parameters provided by Config::Model 1.212. 
    - Added allow_keys_matching parameter provided by C::M 1.207 

  [ Ansgar Burchardt ]
  * Bump (build-)dep on libconfig-model-perl to >= 1.212.
  * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
    systems".
  * debian/control: Change Homepage field to project wiki on SourceForge.net.

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 21 Oct 2010 15:14:20 +0200

libconfig-model-itself-perl (1.218-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release (added new parameter required by DEP-5 model)

  [ gregor herrmann ]
  * Make (build) dependency on libconfig-model-perl versioned.

 -- Dominique Dumont <dominique.dumont@hp.com>  Fri, 17 Sep 2010 13:33:11 +0200

libconfig-model-itself-perl (1.216-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: s/LGPL-2/LGPL-2.1/.
  * Set Standards-Version to 3.9.1; remove version from perl build dependency.
  * debian/control: bump libmodule-build-perl build dependency; remove
    versions from other (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Aug 2010 13:06:49 +0200

libconfig-model-itself-perl (1.215-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release 1.214.
  * debian/copyright: update formatting.

  [ Dominique Dumont ]
  * rules: added dh_auto_test override to use xvfb
  * control: added build-depend on xvfb. Added xauth because xvfb only 
    recommends xauth (See Bug 419581 for details)

  [ gregor herrmann ]
  * New upstream release 1.215.
  * Bump debhelper version in debian/control because of the override in
    debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Apr 2010 20:27:03 +0200

libconfig-model-itself-perl (1.213-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bump versioned (build) dependency on libconfig-model-perl,
    add new (build) dependencies on libpod-pom-perl and libyaml-perl.
  * Convert to source format 3.0 (quilt).

 -- gregor herrmann <gregoa@debian.org>  Mon, 29 Mar 2010 21:51:05 +0200

libconfig-model-itself-perl (1.212-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release
  * debian/control: Depends and libconfig-model-perl 0.643 and
    libconfig-model-tkui-perl >= 1.303 (avoid warnings). Updated to
    Standard version 3.8.4
  * debian/copyright: updated year

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * Minimize debian/rules.

 -- Dominique Dumont <dominique.dumont@hp.com>  Sat, 27 Feb 2010 20:48:46 +0100

libconfig-model-itself-perl (1.211-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Dominique Dumont ]
  * New upstream release
  * control: depends on libconfig-model-perl 0.637 and
    libconfig-model-tkui-perl 1.210
  * control: updated to policy 3.8.2

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 25 Jun 2009 18:31:57 +0200

libconfig-model-itself-perl (1.210-1) unstable; urgency=low

  * New upstream release:
    - Added auto_create and file parameter to read/write spec 
    - Parameter allow_empty is deprecated and will be replaced by 
      auto_create when you run config-edit-model.
    - Added new -dot_diagram option to config-model-edit to get 
      a dot file to represent the structure of the configuration model.
    - Added summary model parameter
  * control: depend on new version of libconfig-model-perl (0.635) and 
    on  new version of libconfig-model-tkui-perl (1.208),
  * control: bumped Standards-Version to 3.8.1

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 21 Apr 2009 14:15:44 +0200

libconfig-model-itself-perl (1.209-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - make dependency on libconfig-model-perl versioned
    - add /me to Uploaders

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Mar 2009 20:41:18 +0100

libconfig-model-itself-perl (1.208-1) unstable; urgency=low

  * Initial Release. (Closes: #510723)

 -- Dominique Dumont <dominique.dumont@hp.com>  Sat, 10 Jan 2009 18:11:41 +0100
